/*****************************************************************************

    source::worx libPiGPio
    Copyright © 2022 c.holzheuer
    chris@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Uses:

    pigpiod_if2 by joan2937, pigpio @ abyz.me.uk
    https://abyz.me.uk/rpi/pigpio

    sigslot  by 2017 Pierre-Antoine Lacaze
    https://github.com/palacaze/sigslot

***************************************************************************/


#include <pigchrono.h>


//using namespace std::chrono;

pigChrono::pigChrono()
    : _beg{ _clock::now() }
{

}

void pigChrono::start()
{
    _beg = _clock::now();
}


double pigChrono::elapsed_millis() const
{
    return (double) duration_cast<milliseconds>( _clock::now() - _beg ).count() ;
}


double pigChrono::elapsed_micros() const
{
    return (double) duration_cast<microseconds>( _clock::now() - _beg ).count() ;
}
